| Field | Value |
|---|
| Source spec | scanner/openapi/score-replay.v1.json |
| OpenAPI version | 3.1.1 |
| API version | 1.0.0 |
| Operations | 4 |
| Path filter | All paths |
Get the proof bundle for a scan
| Property | Value |
|---|
| Operation ID | scanner.scans.score.bundle |
| Tags | ScoreReplayEndpoints |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|
scanId | path | yes | |
rootHash | query | no | |
Responses:
| Status | Description | Content types |
|---|
200 | OK | application/json |
404 | Not Found | application/json |
scanner.score_replay.history_description
| Property | Value |
|---|
| Operation ID | scanner.scans.score.history |
| Tags | ScoreReplayEndpoints |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|
scanId | path | yes | |
Responses:
| Status | Description | Content types |
|---|
200 | OK | application/json |
400 | Bad Request | application/json |
404 | Not Found | - |
Replay scoring for a previous scan using frozen inputs
| Property | Value |
|---|
| Operation ID | scanner.scans.score.replay |
| Tags | ScoreReplayEndpoints |
| Auth | Not declared |
| Request body | application/json |
Parameters:
| Name | In | Required | Description |
|---|
scanId | path | yes | |
Responses:
| Status | Description | Content types |
|---|
200 | OK | application/json |
400 | Bad Request | application/json |
404 | Not Found | application/json |
422 | Unprocessable Entity | application/json |
Verify a proof bundle against expected root hash
| Property | Value |
|---|
| Operation ID | scanner.scans.score.verify |
| Tags | ScoreReplayEndpoints |
| Auth | Not declared |
| Request body | application/json |
Parameters:
| Name | In | Required | Description |
|---|
scanId | path | yes | |
Responses:
| Status | Description | Content types |
|---|
200 | OK | application/json |
404 | Not Found | application/json |
422 | Unprocessable Entity | application/json |